* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

a {
    text-decoration: none;
    color: #495057;
}

#layout-wrapper {
    width: 100%;
    display: flex;
    height: 100vh;
}

#sidebar-menu {
    display: block;
    background-color: #fff;
    width: 300px;
    padding: 15px;
    height: 100vh;
    overflow: hidden;
    position: fixed;
    /* transition: all 0.5s ease; */
    z-index: 100;
}

#sidebar-menu.m-close {
    display: none;
}

#sidebar-menu:hover {
    overflow: auto;
}

#side-menu {
    padding: 0;
    margin: 0;
}

#main_menu {
    width: 100%;

}

#side-menu li {
    list-style: none;
}

#side-menu a span {
    font-size: 15px;
    font-weight: 500;
}

#side-menu .has-arrow>i:last-child {
    float: right;
}

#main_menu>li {
    min-height: 40px;
}

.sub-menu {
    margin-top: 8px;
}

.sub-menu>li {
    min-height: 30px;
}

#side-menu a i {
    transition: all 0.5s ease;
}

.showMenu>a>i {
    transform: rotate(90deg);
}

.sub-menu {
    display: none;
    opacity: 0;
    transition: all 1s ease;
}

.showMenu>.sub-menu {
    display: block;
    opacity: 1;

    @starting-style {
        opacity: 0;
    }

}

#side-menu a:hover {
    color: rgb(0, 140, 255);
}

#side-menu hr {
    margin: 5px 0;
}

#main-content {
    background-color: #f8f9fa;
    position: relative;
    left: 300px;
    width: calc(100% - 300px);
    overflow: hidden;
    display: block;
    transition: all 0.5s ease;
    /* overflow: auto; */
}

#sidebar-menu.m-close~#main-content {
    left: 0;
    width: calc(100%);
}

#top-bar {
    background-color: #fff;
    width: calc(100% - 300px);
    position: fixed;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    transition: all 0.5s ease;
    z-index: 100;
}


#top-bar.m-close,
#foot-bar.m-close {
    width: 100%;
}


#content {
    margin: 5px;
    padding: 5px;
    border: .5px solid rgb(210, 213, 219);
    border-radius: 8px;
    background-color: #fff;
    margin-top: 65px;
    width: calc(100% - 8px);
    min-height: calc(100vh - 90px);
    /* max-height: calc(100vh - 92px); */
    height: calc(100vh - 90px);
    overflow: auto;
}

#foot-bar {
    width: calc(100% - 300px);
    position: fixed;
    height: 20px;
    background-color: #fff;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.5s ease;
    z-index: 100;
}


#btm-manu {
    border: none;
    background: none;
    color: #495057;
    height: 50px;
    width: 50px;
    transform: rotate(90deg);
}

#btm-manu.m-close {
    transition: all 0.8s ease;
    transform: rotate(0);
}

#m-logo>img {
    width: auto;
    height: 100px;
    object-fit: cover;

}

#m-hed {
    font-size: 19px;
    font-weight: 600;
    text-align: center;
    color: steelblue;
    border-bottom: 2px solid steelblue;
    padding-bottom: 5px;
    margin-bottom: 10px;
}

img#m-user {
    width: 45px;
    height: 45px;
    margin: 5px;
    border: 2px solid steelblue;
    border-radius: 50%;
}

#m-user-btn {
    color: #495057;
    border: none;
    background: none;
    padding-right: 10px;
    display: flex;
    align-items: baseline;
}

#m-user-btn>div {
    max-width: 200px;
    overflow: hidden;
    margin-right: 5px;
}

#top-bar button:hover{
    color: steelblue;
    border: 2px solid steelblue;
    border-radius: 0.5em;
}


#preloader {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999;
    overflow: hidden;
    background: #6161614a;
    width: calc(100%);
    height: calc(100%);
    align-items: center;
    justify-content: center;
    display: flex;
  }
  
  #preloader .loader-holder {
    position: relative;
    width: 64px;
    height: 64px;
    margin: auto;
  }
  